#ifndef _TUNER_H
#define _TUNER_H

/* Copyright (c) 1994-96 Martin Buck  <martin-2.buck@student.uni-ulm.de>
 * Read COPYING for more information
 */


#include <sys/vtx.h>


#define TUNOK 0
#define TUNERR -1
#define TUNEINVAL -2
#define TUNEOPEN -3
#define TUNEVERSION -4
#define TUNENOTOPEN -5


extern char *tuner_device;

int tuner_open(int major, int minor, tuner_info_t *prg_info);
void tuner_close(void);
int tuner_reset(void);
int tuner_setfreq(unsigned int freq);
int tuner_getfreq(void);

#endif /* _TUNER_H */
